/**************************************************************************
 *
 *	project				 : VisiScript
 *
 *	copyright            : (C) 2002 by Michael Neuroth
 *
 * ------------------------------------------------------------------------
 *
 *  $Source: E:/home/cvsroot/visiscript/configuredlgimpl.cpp,v $
 *
 *  $Revision: 1.1.1.1 $
 *
 *	$Log: configuredlgimpl.cpp,v $
 *	Revision 1.1.1.1  2005/11/06 11:34:15  Michael
 *	initial checkin of version 0.3.2
 *	
 *
 ***************************************************************************/
/*********************************************************************************
 *																				 *
 * This file is part of the VisiScript package (a frontend for script languages) *
 *																				 *
 * Copyright (C) 2002 by Michael Neuroth.										 *
 *                                                                               *
 * This program is free software; you can redistribute it and/or modify			 *
 * it under the terms of the GNU General Public License as published by    		 *
 * the Free Software Foundation; either version 2 of the License, or             *
 * (at your option) any later version.                                           *
 *                                                                               *
 ********************************************************************************/

#include "configuredlgimpl.h"

#include <qcombobox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qhbox.h>

QString GetExtentionFromScriptCmd( const QString & sCmd );

ConfigureDlgImpl::ConfigureDlgImpl( QWidget* parent, const char* name, bool modal, WFlags fl )
: ConfigureDlg( parent, name, modal, fl )
{
#ifndef ZAURUS
	QHBox * pBox = new QHBox( this );
	QPushButton * pOk = new QPushButton( tr( "&Ok" ), pBox );
	QPushButton * pCancel = new QPushButton( tr( "&Cancel" ), pBox );

	ConfigureDlgLayout->addWidget( pBox );

    connect( pOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( pCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
#endif
}

ConfigureDlgImpl::~ConfigureDlgImpl()
{
}

void ConfigureDlgImpl::sltScriptCmdSelected( int iIndex )
{
	QString sSelected = m_pScriptCmdList->text( iIndex );
	m_pScriptCmd->setText( sSelected );
	//m_pScriptExtention->setText( GetExtentionFromScriptCmd( sSelected ) );
}

void ConfigureDlgImpl::sltScriptTypeSelected( int iIndex )
{
}


