/**************************************************************************
 *
 *	project				 : VisiScript
 *
 *	copyright            : (C) 2002 by Michael Neuroth
 *
 * ------------------------------------------------------------------------
 *
 *  $Source: E:/home/cvsroot/visiscript/zmain.cpp,v $
 *
 *  $Revision: 1.2 $
 *
 *	$Log: zmain.cpp,v $
 *	Revision 1.2  2005/11/27 16:18:35  Michael
 *	implemented file-name as command-line-parameters for the zaurus platform
 *	
 *	Revision 1.1.1.1  2005/11/06 11:34:15  Michael
 *	initial checkin of version 0.3.2
 *	
 *
 ***************************************************************************/
/*********************************************************************************
 *																				 *
 * This file is part of the VisiScript package (a frontend for script languages) *
 *																				 *
 * Copyright (C) 2002 by Michael Neuroth.										 *
 *                                                                               *
 * This program is free software; you can redistribute it and/or modify			 *
 * it under the terms of the GNU General Public License as published by    		 *
 * the Free Software Foundation; either version 2 of the License, or             *
 * (at your option) any later version.                                           *
 *                                                                               *
 ********************************************************************************/

#include "zvisiscript.h"

#include <qpe/qpeapplication.h>


int main( int argc, char ** argv )
{
    QPEApplication aAppl( argc, argv );

    ZVisiScript aMainWin;
    aAppl.showMainDocumentWidget( &aMainWin );

	// try to load some given files
	for( int i=1; i<argc; i++ )
	{
		aMainWin.DoImportFile( argv[i] );
	}

    return aAppl.exec();
}
